com.google.cloud.dataflow.sdk.runners

## Class PipelineRunner<ResultT extends PipelineResult>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.PipelineRunner<ResultT>

Type Parameters:
  `ResultT` - the type of the result of `run(com.google.cloud.dataflow.sdk.Pipeline)`.

Direct Known Subclasses:
  BlockingDataflowPipelineRunner, DataflowPipelineRunner, DirectPipelineRunner, InProcessPipelineRunner, TemplatingDataflowPipelineRunner, TestDataflowPipelineRunner

    public abstract class PipelineRunner<ResultT extends PipelineResult>
    extends Object

A `PipelineRunner` can execute, translate, or otherwise process a `Pipeline`.

### Constructor Summary

Constructors
Constructor and Description
`PipelineRunner()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`<OutputT extends POutput,InputT extends PInput> OutputT` `apply(PTransform<InputT,OutputT> transform, InputT input)` Applies a transform to the given input, returning the output.
`static PipelineRunner<? extends PipelineResult>` `fromOptions(PipelineOptions options)` Constructs a runner from the provided options.
`abstract ResultT` `run(Pipeline pipeline)` Processes the given Pipeline, returning the results.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipelineRunner

    public PipelineRunner()

### Method Detail

#### fromOptions

    public static PipelineRunner<? extends PipelineResult> fromOptions(PipelineOptions options)

Constructs a runner from the provided options.

Returns:
  The newly created runner.

#### run

    public abstract ResultT run(Pipeline pipeline)

Processes the given Pipeline, returning the results.

#### apply

    public <OutputT extends POutput,InputT extends PInput> OutputT apply(PTransform<InputT,OutputT> transform,
                                                                         InputT input)

Applies a transform to the given input, returning the output.

The default implementation calls PTransform.apply(input), but can be overridden to customize behavior for a particular runner.